package com.powerflasher.demo 
{
	import com.pblabs.engine.PBE;
	import com.pblabs.engine.core.LevelManager;
	import com.pblabs.rendering2D.BasicSpatialManager2D;
	import com.pblabs.rendering2D.DisplayObjectScene;
	import com.pblabs.rendering2D.SimpleShapeRenderer;
	import com.pblabs.rendering2D.SimpleSpatialComponent;
	import com.pblabs.rendering2D.SpriteSheetRenderer;
	import com.pblabs.rendering2D.spritesheet.SpriteSheetComponent;
	import com.pblabs.rendering2D.ui.SceneView;

	import flash.display.Sprite;

	[SWF(width="800", height="600", frameRate="60")]
	public class ApisDemo extends Sprite 
	{
		public var sceneView : SceneView = new SceneView();

		public function ApisDemo() 
		{
			PBE.registerType(SimpleSpatialComponent);
			PBE.registerType(SpriteSheetComponent);
			PBE.registerType(BasicSpatialManager2D);
			PBE.registerType(DisplayObjectScene);
			PBE.registerType(SceneView);
			PBE.registerType(SpriteSheetRenderer);
			PBE.registerType(SimpleShapeRenderer);
			PBE.registerType(TriangleRenderer);
			PBE.registerType(ClickMover);
			PBE.registerType(ApisRenderer);
            
            
			PBE.startup(this);
			PBE.addResources(new Resources());
			
			LevelManager.instance.addFileReference(0, "level.xml");
			LevelManager.instance.addGroupReference(0, "Everything");
            
			sceneView.name = "MainView";
			sceneView.width = 800;
			sceneView.height = 600;
			addChild(sceneView);
            
			LevelManager.instance.start(0);
		}
		
		
	}
}
